Stream Message
curl --request POST \
--url https://api.example.com/api/agents/{agentId}/chat \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"stream": true,
"threadId": "<string>"
}
'import requests
url = "https://api.example.com/api/agents/{agentId}/chat"
payload = {
"message": "<string>",
"stream": True,
"threadId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', stream: true, threadId: '<string>'})
};
fetch('https://api.example.com/api/agents/{agentId}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Chat
Stream Message
POST
/
api
/
agents
/
{agentId}
/
chat
Stream Message
Description
Send a message and receive a streaming response using Server-Sent Events (SSE).Authentication
Required (API key or JWT token)Request Body
string
required
The message to send
boolean
required
Set to
true for streamingstring
Optional thread ID
Response
Server-Sent Events stream with chunks:data: {"chunk": "Hello"}
data: {"chunk": "!"}
data: {"chunk": " How"}
data: [DONE]
Was this page helpful?
⌘I